#import <Foundation/Foundation.h>
#import "USAdditions.h"
#import <libxml/tree.h>
#import "USGlobals.h"
@class DriverLicenseParser_ParseBase64Utf16String;
@class DriverLicenseParser_ParseBase64Utf16StringResponse;
@class DriverLicenseParser_Response;
@class DriverLicenseParser_ArrayOfComplementaryService;
@class DriverLicenseParser_DriverLicense;
@class DriverLicenseParser_ComplementaryService;
@class DriverLicenseParser_ParseBase64AsciiString;
@class DriverLicenseParser_ParseBase64AsciiStringResponse;
@class DriverLicenseParser_ParseBase64Binary;
@class DriverLicenseParser_ParseBase64BinaryResponse;
@class DriverLicenseParser_ParseString;
@class DriverLicenseParser_ParseStringResponse;
@class DriverLicenseParser_Echo;
@class DriverLicenseParser_EchoResponse;
@interface DriverLicenseParser_ParseBase64Utf16String : NSObject {
	
/* elements */
	NSString * authKey;
	NSString * data;
	NSNumber * terminalId;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64Utf16String *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * authKey;
@property (retain) NSString * data;
@property (retain) NSNumber * terminalId;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ComplementaryService : NSObject {
	
/* elements */
	NSString * Message;
	NSString * Name;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ComplementaryService *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * Message;
@property (retain) NSString * Name;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ArrayOfComplementaryService : NSObject {
	
/* elements */
	NSMutableArray *ComplementaryService;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ArrayOfComplementaryService *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
- (void)addComplementaryService:(DriverLicenseParser_ComplementaryService *)toAdd;
@property (readonly) NSMutableArray * ComplementaryService;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_DriverLicense : NSObject {
	
/* elements */
	NSString * Address1;
	NSString * Address2;
	NSDate * Birthdate;
	NSString * City;
	NSString * ClassificationCode;
	NSString * Country;
	NSString * EndorsementsCode;
	NSDate * ExpirationDate;
	NSString * EyeColor;
	NSString * FirstName;
	NSString * FullName;
	NSString * Gender;
	NSString * HairColor;
	NSString * Height;
	NSString * IIN;
	NSDate * IssueDate;
	NSString * IssuedBy;
	NSString * JurisdictionCode;
	NSString * LastName;
	NSString * LicenseNumber;
	NSString * MiddleName;
	NSString * NamePrefix;
	NSString * NameSuffix;
	NSString * PostalCode;
	NSString * Race;
	NSString * RestrictionCode;
	NSString * WeightKG;
	NSString * WeightLBS;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_DriverLicense *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * Address1;
@property (retain) NSString * Address2;
@property (retain) NSDate * Birthdate;
@property (retain) NSString * City;
@property (retain) NSString * ClassificationCode;
@property (retain) NSString * Country;
@property (retain) NSString * EndorsementsCode;
@property (retain) NSDate * ExpirationDate;
@property (retain) NSString * EyeColor;
@property (retain) NSString * FirstName;
@property (retain) NSString * FullName;
@property (retain) NSString * Gender;
@property (retain) NSString * HairColor;
@property (retain) NSString * Height;
@property (retain) NSString * IIN;
@property (retain) NSDate * IssueDate;
@property (retain) NSString * IssuedBy;
@property (retain) NSString * JurisdictionCode;
@property (retain) NSString * LastName;
@property (retain) NSString * LicenseNumber;
@property (retain) NSString * MiddleName;
@property (retain) NSString * NamePrefix;
@property (retain) NSString * NameSuffix;
@property (retain) NSString * PostalCode;
@property (retain) NSString * Race;
@property (retain) NSString * RestrictionCode;
@property (retain) NSString * WeightKG;
@property (retain) NSString * WeightLBS;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_Response : NSObject {
	
/* elements */
	DriverLicenseParser_ArrayOfComplementaryService * ComplementaryServices;
	DriverLicenseParser_DriverLicense * DriverLicense;
	NSString * ErrorMessage;
	USBoolean * Success;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_Response *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) DriverLicenseParser_ArrayOfComplementaryService * ComplementaryServices;
@property (retain) DriverLicenseParser_DriverLicense * DriverLicense;
@property (retain) NSString * ErrorMessage;
@property (retain) USBoolean * Success;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseBase64Utf16StringResponse : NSObject {
	
/* elements */
	DriverLicenseParser_Response * ParseBase64Utf16StringResult;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64Utf16StringResponse *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) DriverLicenseParser_Response * ParseBase64Utf16StringResult;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseBase64AsciiString : NSObject {
	
/* elements */
	NSString * authKey;
	NSString * data;
	NSNumber * terminalId;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64AsciiString *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * authKey;
@property (retain) NSString * data;
@property (retain) NSNumber * terminalId;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseBase64AsciiStringResponse : NSObject {
	
/* elements */
	DriverLicenseParser_Response * ParseBase64AsciiStringResult;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64AsciiStringResponse *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) DriverLicenseParser_Response * ParseBase64AsciiStringResult;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseBase64Binary : NSObject {
	
/* elements */
	NSString * authKey;
	NSData * data;
	NSNumber * terminalId;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64Binary *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * authKey;
@property (retain) NSData * data;
@property (retain) NSNumber * terminalId;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseBase64BinaryResponse : NSObject {
	
/* elements */
	DriverLicenseParser_Response * ParseBase64BinaryResult;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseBase64BinaryResponse *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) DriverLicenseParser_Response * ParseBase64BinaryResult;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseString : NSObject {
	
/* elements */
	NSString * authKey;
	NSString * licenseText;
	NSNumber * terminalId;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseString *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * authKey;
@property (retain) NSString * licenseText;
@property (retain) NSNumber * terminalId;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_ParseStringResponse : NSObject {
	
/* elements */
	DriverLicenseParser_Response * ParseStringResult;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_ParseStringResponse *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) DriverLicenseParser_Response * ParseStringResult;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_Echo : NSObject {
	
/* elements */
	NSString * base64AsciiEncodedString;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_Echo *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * base64AsciiEncodedString;
/* attributes */
- (NSDictionary *)attributes;
@end
@interface DriverLicenseParser_EchoResponse : NSObject {
	
/* elements */
	NSString * EchoResult;
/* attributes */
}
- (NSString *)nsPrefix;
- (xmlNodePtr)xmlNodeForDoc:(xmlDocPtr)doc elementName:(NSString *)elName elementNSPrefix:(NSString *)elNSPrefix;
- (void)addAttributesToNode:(xmlNodePtr)node;
- (void)addElementsToNode:(xmlNodePtr)node;
+ (DriverLicenseParser_EchoResponse *)deserializeNode:(xmlNodePtr)cur;
- (void)deserializeAttributesFromNode:(xmlNodePtr)cur;
- (void)deserializeElementsFromNode:(xmlNodePtr)cur;
/* elements */
@property (retain) NSString * EchoResult;
/* attributes */
- (NSDictionary *)attributes;
@end
/* Cookies handling provided by http://en.wikibooks.org/wiki/Programming:WebObjects/Web_Services/Web_Service_Provider */
#import <libxml/parser.h>
#import "xs.h"
#import "DriverLicenseParser.h"
#import "ns1.h"
#import "tns1.h"
@class SecuredHttpBinding_IDriverLicenseParserBinding;
@interface DriverLicenseParser : NSObject {
	
}
+ (SecuredHttpBinding_IDriverLicenseParserBinding *)SecuredHttpBinding_IDriverLicenseParserBinding;
@end
@class SecuredHttpBinding_IDriverLicenseParserBindingResponse;
@class SecuredHttpBinding_IDriverLicenseParserBindingOperation;
@protocol SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate <NSObject>
- (void) operation:(SecuredHttpBinding_IDriverLicenseParserBindingOperation *)operation completedWithResponse:(SecuredHttpBinding_IDriverLicenseParserBindingResponse *)response;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding : NSObject <SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate> {
	NSURL *address;
	NSTimeInterval defaultTimeout;
	NSMutableArray *cookies;
	BOOL logXMLInOut;
	BOOL synchronousOperationComplete;
	NSString *authUsername;
	NSString *authPassword;
}
@property (copy) NSURL *address;
@property (assign) BOOL logXMLInOut;
@property (assign) NSTimeInterval defaultTimeout;
@property (nonatomic, retain) NSMutableArray *cookies;
@property (nonatomic, retain) NSString *authUsername;
@property (nonatomic, retain) NSString *authPassword;
- (id)initWithAddress:(NSString *)anAddress;
- (void)sendHTTPCallUsingBody:(NSString *)body soapAction:(NSString *)soapAction forOperation:(SecuredHttpBinding_IDriverLicenseParserBindingOperation *)operation;
- (void)addCookie:(NSHTTPCookie *)toAdd;
- (SecuredHttpBinding_IDriverLicenseParserBindingResponse *)ParseBase64Utf16StringUsingParameters:(DriverLicenseParser_ParseBase64Utf16String *)aParameters ;
- (void)ParseBase64Utf16StringAsyncUsingParameters:(DriverLicenseParser_ParseBase64Utf16String *)aParameters  delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)responseDelegate;
- (SecuredHttpBinding_IDriverLicenseParserBindingResponse *)ParseBase64AsciiStringUsingParameters:(DriverLicenseParser_ParseBase64AsciiString *)aParameters ;
- (void)ParseBase64AsciiStringAsyncUsingParameters:(DriverLicenseParser_ParseBase64AsciiString *)aParameters  delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)responseDelegate;
- (SecuredHttpBinding_IDriverLicenseParserBindingResponse *)ParseBase64BinaryUsingParameters:(DriverLicenseParser_ParseBase64Binary *)aParameters ;
- (void)ParseBase64BinaryAsyncUsingParameters:(DriverLicenseParser_ParseBase64Binary *)aParameters  delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)responseDelegate;
- (SecuredHttpBinding_IDriverLicenseParserBindingResponse *)ParseStringUsingParameters:(DriverLicenseParser_ParseString *)aParameters ;
- (void)ParseStringAsyncUsingParameters:(DriverLicenseParser_ParseString *)aParameters  delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)responseDelegate;
- (SecuredHttpBinding_IDriverLicenseParserBindingResponse *)EchoUsingParameters:(DriverLicenseParser_Echo *)aParameters ;
- (void)EchoAsyncUsingParameters:(DriverLicenseParser_Echo *)aParameters  delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)responseDelegate;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBindingOperation : NSOperation {
	SecuredHttpBinding_IDriverLicenseParserBinding *binding;
	SecuredHttpBinding_IDriverLicenseParserBindingResponse *response;
	id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate> delegate;
	NSMutableData *responseData;
	NSURLConnection *urlConnection;
}
@property (retain) SecuredHttpBinding_IDriverLicenseParserBinding *binding;
@property (readonly) SecuredHttpBinding_IDriverLicenseParserBindingResponse *response;
@property (nonatomic, assign) id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate> delegate;
@property (nonatomic, retain) NSMutableData *responseData;
@property (nonatomic, retain) NSURLConnection *urlConnection;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_ParseBase64Utf16String : SecuredHttpBinding_IDriverLicenseParserBindingOperation {
	DriverLicenseParser_ParseBase64Utf16String * parameters;
}
@property (retain) DriverLicenseParser_ParseBase64Utf16String * parameters;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate
	parameters:(DriverLicenseParser_ParseBase64Utf16String *)aParameters
;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_ParseBase64AsciiString : SecuredHttpBinding_IDriverLicenseParserBindingOperation {
	DriverLicenseParser_ParseBase64AsciiString * parameters;
}
@property (retain) DriverLicenseParser_ParseBase64AsciiString * parameters;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate
	parameters:(DriverLicenseParser_ParseBase64AsciiString *)aParameters
;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_ParseBase64Binary : SecuredHttpBinding_IDriverLicenseParserBindingOperation {
	DriverLicenseParser_ParseBase64Binary * parameters;
}
@property (retain) DriverLicenseParser_ParseBase64Binary * parameters;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate
	parameters:(DriverLicenseParser_ParseBase64Binary *)aParameters
;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_ParseString : SecuredHttpBinding_IDriverLicenseParserBindingOperation {
	DriverLicenseParser_ParseString * parameters;
}
@property (retain) DriverLicenseParser_ParseString * parameters;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate
	parameters:(DriverLicenseParser_ParseString *)aParameters
;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_Echo : SecuredHttpBinding_IDriverLicenseParserBindingOperation {
	DriverLicenseParser_Echo * parameters;
}
@property (retain) DriverLicenseParser_Echo * parameters;
- (id)initWithBinding:(SecuredHttpBinding_IDriverLicenseParserBinding *)aBinding delegate:(id<SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate>)aDelegate
	parameters:(DriverLicenseParser_Echo *)aParameters
;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBinding_envelope : NSObject {
}
+ (SecuredHttpBinding_IDriverLicenseParserBinding_envelope *)sharedInstance;
- (NSString *)serializedFormUsingHeaderElements:(NSDictionary *)headerElements bodyElements:(NSDictionary *)bodyElements;
@end
@interface SecuredHttpBinding_IDriverLicenseParserBindingResponse : NSObject {
	NSArray *headers;
	NSArray *bodyParts;
	NSError *error;
}
@property (retain) NSArray *headers;
@property (retain) NSArray *bodyParts;
@property (retain) NSError *error;
@end
