//
//  DriverLicenceViewController.m
//  TireTrack
//
//  Created by admin on 13.11.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "DriverLicenseViewController.h"
#import "AppDelegate.h"

@implementation DriverLicenseViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.navigationItem.title = @"Driver License Info";
    self.navigationController.navigationBar.tintColor=[UIColor blackColor];
    self.navigationController.navigationBar.translucent=YES;
    
    UIBarButtonItem *backButton = [[UIBarButtonItem alloc] initWithTitle:@"Back" style:UIBarButtonItemStylePlain
                                                                  target:self
                                                                  action:@selector(backClicked)];
	self.navigationItem.leftBarButtonItem = backButton;
    [backButton release];
}

-(void) backClicked{
    [self.parentViewController dismissModalViewControllerAnimated:YES];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    switch (section) {
        case 0:
            return 2;
        case 1:
            return 4;
        default:
            break;
    }
    // Return the number of rows in the section.
    return 0;
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section{
    switch (section) {
        case 0:
            return @"Personal Info";
        case 1:
            return @"Address";
            break;
    }
    return nil;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    int row = indexPath.row;
    int section = indexPath.section;
    
    AppDelegate *delegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
    
    static NSString *CellIdentifierDisclosure = @"CellDisclosure";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifierDisclosure];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:CellIdentifierDisclosure] autorelease];
    }
    
    if(section == 0){
        if(row == 0){
            cell.textLabel.text = @"First Name";
            cell.detailTextLabel.text = delegate.license.FirstName;
        }
        if(row == 1){
            cell.textLabel.text = @"Last Name";
            cell.detailTextLabel.text = delegate.license.LastName;
        }
    }
    if(section == 1){
        if(row == 0){
            cell.textLabel.text = @"City";
            cell.detailTextLabel.text = delegate.license.City;
        }
        if(row == 1){
            cell.textLabel.text = @"State";
            cell.detailTextLabel.text = delegate.license.JurisdictionCode;
        }
        if(row == 2){
            cell.textLabel.text = @"Zip";
            cell.detailTextLabel.text = delegate.license.PostalCode;
        }
        if(row == 3){
            cell.textLabel.text = @"Address";
            cell.detailTextLabel.text = delegate.license.Address1;
        }
    }
    
    // Configure the cell...
    
    return cell;
}

@end
