//
//  MainViewController.m
//  WebServiceExample
//
//  Created by admin on 18.01.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "MainViewController.h"
#import "LoadingView.h"
#import "DriverLicenseViewController.h"
#import "AppDelegate.h"

@implementation MainViewController
@synthesize txtAuthKey;
@synthesize txtTrackString;
LoadingView* loading;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setTxtTrackString:nil];
    [self setTxtAuthKey:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)parseTrack:(id)sender {
    SecuredHttpBinding_IDriverLicenseParserBinding* service = [DriverLicenseParser SecuredHttpBinding_IDriverLicenseParserBinding];
#ifdef DEBUG
    service.logXMLInOut = YES;
#endif
    NSString* authKey = txtAuthKey.text;
    if(authKey != nil){
        DriverLicenseParser_ParseBase64AsciiString* params = [[[DriverLicenseParser_ParseBase64AsciiString alloc] init]autorelease];
        params.authKey = authKey;
        NSData* data = [txtTrackString.text dataUsingEncoding:NSASCIIStringEncoding]; 
        params.data = [data base64Encoding];
        
        params.terminalId = nil;
        NSLog(@"Track string: %@", params.data);
        [service ParseBase64AsciiStringAsyncUsingParameters:params delegate:self];
        
        if(loading == nil){
            loading = [[LoadingView alloc] init];
        }
        [loading setTitle:@"Parsing..."];
        [loading show];  
    }
}

- (void)dealloc {
    [txtTrackString release];
    [txtAuthKey release];
    [super dealloc];
}

#pragma mark -
#pragma mark UITextFieldDelegate Protocol
- (BOOL) textFieldShouldBeginEditing:(UITextField *)textField{
    return YES;
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField{
    [textField resignFirstResponder];
    return YES;
}

#pragma mark - SecuredHttpBinding_IDriverLicenseParserBindingResponseDelegate

- (void) operation:(SecuredHttpBinding_IDriverLicenseParserBindingOperation *)operation completedWithResponse:(SecuredHttpBinding_IDriverLicenseParserBindingResponse *)response{
    [loading hide];
    
    for(id bodyPart in response.bodyParts) {
        if ([bodyPart isKindOfClass:[SOAPFault class]]) {
            NSLog(@"Error when calling service: %@",((SOAPFault *)bodyPart).simpleFaultString);
            UIAlertView* alert = [[UIAlertView alloc]initWithTitle:@"Service Error" message:((SOAPFault *)bodyPart).simpleFaultString delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
            [alert show];
            [alert release];
            continue;
        }
        
        if([bodyPart isKindOfClass:[DriverLicenseParser_ParseBase64AsciiStringResponse class]]) {
            DriverLicenseParser_ParseBase64AsciiStringResponse *body = (DriverLicenseParser_ParseBase64AsciiStringResponse*)bodyPart;
            
            if(body.ParseBase64AsciiStringResult.Success.boolValue == NO){
                UIAlertView* alert = [[UIAlertView alloc]initWithTitle:@"Parsing Failed" message:@"Invalid ID! Please try to scan ID again." delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
                [alert show];
                [alert release];
                return;
            }
            
            DriverLicenseParser_DriverLicense* driverLicense = body.ParseBase64AsciiStringResult.DriverLicense;
            AppDelegate *delegate = (AppDelegate*)[[UIApplication sharedApplication] delegate];
            
            delegate.license = driverLicense;

            DriverLicenseViewController* controller = [[[DriverLicenseViewController alloc] initWithNibName:@"DriverLicenseView" bundle:nil] autorelease];
            
            UINavigationController* navController = [[[UINavigationController alloc] initWithRootViewController:controller] autorelease];
            navController.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
            [self presentModalViewController:navController animated:YES];
            break;
        }
    }
}

@end
